path: /build/build/dhcp-net-misc-4.4.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp -rvf patches/* /var/git/meta-repo/kits/core-kit/net-misc/dhcp/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ldap -selinux -vim-syntax client ipv6 kernel_linux ssl" emerge net-misc/dhcp -pv -t && \
    USE="-ldap -selinux -vim-syntax client ipv6 kernel_linux ssl" emerge -j ${JOBS} --nodeps net-misc/dhcp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/dhcp && luet-portage --dir /pkgdir/dhcp
    net-misc/dhcp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: dhcp
    version: 4.4.3
    category: net-misc
    use_flags:
    - -ldap
    - -selinux
    - -vim-syntax
    - client
    - ipv6
    - kernel_linux
    - ssl
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: ISC Dynamic Host Configuration Protocol (DHCP) client/server
    uri:
    - https://www.isc.org/dhcp
    license: MPL-2.0 BSD SSLeay GPL-2
    buildtimestamp: 2023-08-24 17:17:07.429626626 +0000 UTC m=+181.789027657
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: client? ( kernel_linux? ( ipv6? ( sys-apps/iproute2 ) sys-apps/net-tools
        ) ) ldap? ( net-nds/openldap:= ssl? ( dev-libs/openssl:= ) ) sys-apps/shadow
      IUSE: +client ipv6 ldap selinux +server ssl vim-syntax
      RDEPEND: client? ( kernel_linux? ( ipv6? ( sys-apps/iproute2 ) sys-apps/net-tools
        ) ) ldap? ( net-nds/openldap:= ssl? ( dev-libs/openssl:= ) ) selinux? ( sec-policy/selinux-dhcp
        ) vim-syntax? ( app-vim/dhcpd-syntax )
      emerge.packages: net-misc/dhcp
      kit: core-kit
      original.package.name: net-misc/dhcp
      original.package.slot: "0"
      original.package.version: 4.4.3_p1
    treedir: /build/packages
  package_dir: /pkgdir/dhcp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7a8f8b639faf64b5dad639e2c61a1c975090ebbef594cddc546966f98e7c47c8
compressiontype: zstd
files:
- etc/conf.d/dhcpd
- etc/conf.d/dhcrelay
- etc/conf.d/dhcrelay6
- etc/dhcp/dhclient.conf
- etc/dhcp/dhcpd.conf
- etc/init.d/dhcpd
- etc/init.d/dhcrelay
- etc/init.d/dhcrelay6
- etc/systemd/system/dhcrelay4.service.d/00gentoo.conf
- etc/systemd/system/dhcrelay6.service.d/00gentoo.conf
- lib/systemd/system/dhcpd4.service
- lib/systemd/system/dhcpd6.service
- lib/systemd/system/dhcrelay4.service
- lib/systemd/system/dhcrelay6.service
- sbin/dhclient
- sbin/dhclient-script
- usr/bin/omshell
- usr/include/dhcpctl/dhcpctl.h
- usr/include/omapip/alloc.h
- usr/include/omapip/buffer.h
- usr/include/omapip/convert.h
- usr/include/omapip/hash.h
- usr/include/omapip/isclib.h
- usr/include/omapip/omapip.h
- usr/include/omapip/omapip_p.h
- usr/include/omapip/result.h
- usr/include/omapip/trace.h
- usr/lib64/libdhcp.a
- usr/lib64/libdhcpctl.a
- usr/lib64/libomapi.a
- usr/sbin/dhcpd
- usr/sbin/dhcrelay
- usr/share/doc/dhcp-4.4.3_p1/IANA-arp-parameters.bz2
- usr/share/doc/dhcp-4.4.3_p1/README.bz2
- usr/share/doc/dhcp-4.4.3_p1/RELNOTES.bz2
- usr/share/doc/dhcp-4.4.3_p1/api+protocol.bz2
- usr/share/doc/dhcp-4.4.3_p1/html/References.html
- usr/share/man/man1/omshell.1.bz2
- usr/share/man/man3/dhcpctl.3.bz2
- usr/share/man/man3/omapi.3.bz2
- usr/share/man/man5/dhclient.conf.5.bz2
- usr/share/man/man5/dhclient.leases.5.bz2
- usr/share/man/man5/dhcp-eval.5.bz2
- usr/share/man/man5/dhcp-options.5.bz2
- usr/share/man/man5/dhcpd.conf.5.bz2
- usr/share/man/man5/dhcpd.leases.5.bz2
- usr/share/man/man8/dhclient-script.8.bz2
- usr/share/man/man8/dhclient.8.bz2
- usr/share/man/man8/dhcpd.8.bz2
- usr/share/man/man8/dhcrelay.8.bz2
- var/db/pkg/net-misc/dhcp-4.4.3_p1/BDEPEND
- var/db/pkg/net-misc/dhcp-4.4.3_p1/BUILD_TIME
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CATEGORY
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CBUILD
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CFLAGS
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CHOST
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CONTENTS
- var/db/pkg/net-misc/dhcp-4.4.3_p1/COUNTER
- var/db/pkg/net-misc/dhcp-4.4.3_p1/CXXFLAGS
- var/db/pkg/net-misc/dhcp-4.4.3_p1/DEFINED_PHASES
- var/db/pkg/net-misc/dhcp-4.4.3_p1/DEPEND
- var/db/pkg/net-misc/dhcp-4.4.3_p1/DESCRIPTION
- var/db/pkg/net-misc/dhcp-4.4.3_p1/EAPI
- var/db/pkg/net-misc/dhcp-4.4.3_p1/FEATURES
- var/db/pkg/net-misc/dhcp-4.4.3_p1/HOMEPAGE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/INHERITED
- var/db/pkg/net-misc/dhcp-4.4.3_p1/IUSE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/IUSE_EFFECTIVE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/KEYWORDS
- var/db/pkg/net-misc/dhcp-4.4.3_p1/LDFLAGS
- var/db/pkg/net-misc/dhcp-4.4.3_p1/LICENSE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/NEEDED
- var/db/pkg/net-misc/dhcp-4.4.3_p1/PF
- var/db/pkg/net-misc/dhcp-4.4.3_p1/RDEPEND
- var/db/pkg/net-misc/dhcp-4.4.3_p1/REQUIRES
- var/db/pkg/net-misc/dhcp-4.4.3_p1/SIZE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/SLOT
- var/db/pkg/net-misc/dhcp-4.4.3_p1/USE
- var/db/pkg/net-misc/dhcp-4.4.3_p1/dhcp-4.4.3_p1.ebuild
- var/db/pkg/net-misc/dhcp-4.4.3_p1/environment.bz2
- var/db/pkg/net-misc/dhcp-4.4.3_p1/repository
- var/lib/dhcp/.keep_net-misc_dhcp-0
package_cacheimage: ""
runtime:
  name: dhcp
  version: 4.4.3
  category: net-misc
  use_flags:
  - -ldap
  - -selinux
  - -vim-syntax
  - client
  - ipv6
  - kernel_linux
  - ssl
  requires:
  - name: iproute2
    version: '>=0'
    category: sys-apps
  - name: net-tools
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: ISC Dynamic Host Configuration Protocol (DHCP) client/server
  uri:
  - https://www.isc.org/dhcp
  license: MPL-2.0 BSD SSLeay GPL-2
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: client? ( kernel_linux? ( ipv6? ( sys-apps/iproute2 ) sys-apps/net-tools
      ) ) ldap? ( net-nds/openldap:= ssl? ( dev-libs/openssl:= ) ) sys-apps/shadow
    IUSE: +client ipv6 ldap selinux +server ssl vim-syntax
    RDEPEND: client? ( kernel_linux? ( ipv6? ( sys-apps/iproute2 ) sys-apps/net-tools
      ) ) ldap? ( net-nds/openldap:= ssl? ( dev-libs/openssl:= ) ) selinux? ( sec-policy/selinux-dhcp
      ) vim-syntax? ( app-vim/dhcpd-syntax )
    emerge.packages: net-misc/dhcp
    kit: core-kit
    original.package.name: net-misc/dhcp
    original.package.slot: "0"
    original.package.version: 4.4.3_p1
